--- /dev/null
+#!/bin/bash
+
+. ../inc/pervasive.sh
+
+mailman_stop
+mailman_templates
+mailman_start
+
+
+###########################################################
+for sql in *.sql
+do
+ echo -n $sql
+ $MYSQL x4dat < $sql &>/dev/null || echo -n " ERROR"
+ echo .
+done
+
+###########################################################
+echo "STILL TODO :
+ - update the mailman-rpc daemon
+ - insert scripts/cron/watch.notifs.php in the crontab
+ suggested : 0 4 * * 6 (it means every saturday at 4 AM)
+"
--- /dev/null
+#!/bin/bash
+
+MYSQL='mysql -u admin '
+
+
+set -e
+
+if [ "$UID" != 0 ]; then
+ echo "has to be run as root"
+ exit 1
+fi
+
+function mailman_stop() {
+ echo -n "stops mailman"
+ /etc/init.d/mailman stop &>/dev/null
+ echo .
+}
+
+function mailman_templates() {
+ echo -n "copies new mails templates"
+ cp -f ../../mailman/mails/*.txt /etc/mailman/fr/
+ echo .
+}
+
+function mailman_start() {
+ echo -n "starts mailman"
+ /etc/init.d/mailman start &>/dev/null
+ echo .
+}
+